<template>
  <div>
    <div @click="handleOpen">
      <slot name="operate" />
    </div>
    <el-drawer title="选择一个动作" :visible.sync="visible" :append-to-body="true" size="600px">
      <slot />
    </el-drawer>
  </div>
</template>

<script>
export default {
  name: 'NodeDrawer',
  data() {
    return {
      visible: false,
    }
  },
  methods: {
    handleOpen() {
      this.visible = true;
    }
  }
}
</script>

<style>
</style>